from setra_client.client import SetraEndpoints


def test_init(baseurl):
    endpoints = SetraEndpoints(baseurl)
    assert endpoints.baseurl == baseurl


def test_init_batchurl(baseurl):
    endpoints = SetraEndpoints(baseurl)
    assert endpoints.batch_url == "api/batch/"


# Test urls:
def test_init_batch_with_value(baseurl):
    endpoints = SetraEndpoints(baseurl)
    assert endpoints.batch(batch_id="5") == baseurl + "/api/batch/5"


def test_init_batch_with_empty_value(baseurl):
    endpoints = SetraEndpoints(baseurl)
    assert endpoints.batch(batch_id="") == baseurl + "/api/batch/"


def test_init_batch_without_value(baseurl):
    endpoints = SetraEndpoints(baseurl)
    assert endpoints.batch() == baseurl + "/api/batch/"


def test_init_transaction_with_value(baseurl):
    endpoints = SetraEndpoints(baseurl)
    assert endpoints.transaction(trans_id="5") == baseurl + "/api/transaction/5"


def test_init_transaction_without_value(baseurl):
    endpoints = SetraEndpoints(baseurl)
    assert endpoints.transaction() == baseurl + "/api/transaction/"


def test_init_batch_complete_with_value(baseurl):
    endpoints = SetraEndpoints(baseurl)
    assert endpoints.batch_complete(batch_id="5") == baseurl + "/api/batch_complete/5"


def test_init_batch_error(baseurl):
    endpoints = SetraEndpoints(baseurl)
    assert endpoints.batch_error("123") == baseurl + "/api/batch_error/123"
